Eclipse Platform Release 3.7

## org.eclipse.help.browser
Interface IBrowser

    public interface IBrowser

Represents a web browser that can be used by clients to display documents for the given URLs.

Since:
  2.1

Method Summary
`void` `close()` Closes the browser.
`void` `displayURL(String url)` Displays document with the given URL, and makes the browser visible.
`boolean` `isCloseSupported()` Queries the browser if close method is supported.
`boolean` `isSetLocationSupported()` Queries the browser if setLocation method is supported.
`boolean` `isSetSizeSupported()` Queries the browser if setSize method is supported.
`void` `setLocation(int x, int y)` Causes the browser to be moved to the specified location.
`void` `setSize(int width, int height)` Causes the browser to be resized to the specified size.

Method Detail

### close

    void close()

  Closes the browser.

### isCloseSupported

    boolean isCloseSupported()

  Queries the browser if close method is supported.

  Returns:
    true if the method is fully implemented

### displayURL

    void displayURL(String url)
                    throws Exception

  Displays document with the given URL, and makes the browser visible. This method starts the browser if necessary.

  Parameters:
    `url` - the URL to display in the browser
  Throws:
    `Exception`

### isSetLocationSupported

    boolean isSetLocationSupported()

  Queries the browser if setLocation method is supported.

  Returns:
    true if the method is fully implemented

### isSetSizeSupported

    boolean isSetSizeSupported()

  Queries the browser if setSize method is supported.

  Returns:
    true if the method is fully implemented

### setLocation

    void setLocation(int x,
                     int y)

  Causes the browser to be moved to the specified location. If the actual browser is not visible, the next time it becomes visible, it will be shown at the give location

  Parameters:
    `x` - horizontal coordinates of the left-top external corner
    `y` - vertical coordinates of the left-top external corner

### setSize

    void setSize(int width,
                 int height)

  Causes the browser to be resized to the specified size. If the actual browser is not visible, the next time it becomes visible, it will be shown with the give size.

  Parameters:
    `width` - width in pixels
    `height` - height in pixels external corner

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.